//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Tb_Installment
    {

        public Tb_Installment()
        {
            this.Tb_FeeReceipt = new HashSet<Tb_FeeReceipt>();
        }

        public int Id { get; set; }


        [Display(Name = "Course Name")]

        public Nullable<int> CourseId { get; set; }

        public Nullable<int> CourseHistId { get; set; }

        [Display(Name = "Installment No.")]
        [Required(ErrorMessage = "Installment No. is required")]
        public Nullable<int> InstallmentNo { get; set; }

        [Display(Name = "Amount")]
        [Required(ErrorMessage = "Amount is required")]
        public Nullable<double> Amount { get; set; }

        [Display(Name = "Amount")]
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> DueDate { get; set; }
        public Nullable<bool> Status { get; set; }
        public Nullable<int> BranchId { get; set; }
        public Nullable<bool> IsFeesPaid { get; set; }

        public Nullable<double> BalanceDueAmount { get; set; }
        public Nullable<int> NextDayDuration { get; set; }


        public Nullable<DateTime> NextMonthDate { get; set; }
        public Nullable<DateTime> NextDayDate { get; set; }
        public string GroupName { get; set; }


        public virtual MaBranch MaBranch { get; set; }
        public virtual MaCourse MaCourse { get; set; }
        public virtual Tb_CourseHist Tb_CourseHist { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
    }
}
